<?php
namespace Render3D;

use Omeka\Module\AbstractModule;
use Laminas\EventManager\SharedEventManagerInterface;
use Laminas\Mvc\MvcEvent;

class Module extends AbstractModule
{
	const NAMESPACE = __NAMESPACE__;

	const MODEL_TYPES = [
			'gltf' => 'gLTF / GLB',
			/*
			'obj' => 'OBJ',
			'obj+mtl' => 'OBJ + MTL',
			'json' => 'JSON',
			'fbx' => 'FBX',
			'stl' => 'STL',
			'dae' => 'Collada .dae',
			'ply' => 'PLY',
			*/
	];

	const MODEL_WIDTH = [
			'50' => '50 %',
			'75' => '75 %',
			'100' => '100 %',
	];

	const RATIO = [
		'2' => '2:1',
		'1.333' => '4:3',
		'1.777' => '16:9'
	];

	public function getConfig()
	{
		return include __DIR__ . '/config/module.config.php';
	}
}
